Subject: cygwin.dll
From: [email-masked] (Jon Thackray)

17 Jan 1997 03:49:54 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <c=US%a=_%p=E-Stamp%l=[email-masked]>
Original-To: "[email-masked]'" <[email-masked]>
In-Reply-To: <c=US%a=_%p=E-Stamp%l=[email-masked]>
Original-Sender: [email-masked]

James Osburn writes:
 > My two bits on the cygwin.dll and cygnus in general.
 > 
 > First the cygwin.dll is to large It should not 
 > contain the unix to win32 interface. Second, there should
 > be a facility to compile statically and to separate the
 > C runtime and C++ runtimes into seperate dlls and statically
 > linkable libs. The task of porting all the gnu unix to win32
 > via the gcc should be dropped. It poisons an otherwise 
 > very good idea: gcc for win32.

Well I have to disagree with this. Given that I am developing software
for both Win32 and Unix, the fact that many other unix tools are
ported is an excellent and worthwhile objective IMHO. Specifically I
require make (neither Unix nor Win32 provide native makes as good as
gnu make), and therefore sh, and a host of other tools to be called by
make. Strangely, gcc is one of the tools I don't use, although it may
be that it has now improved sufficiently (debugger support, various
bugs fixed, support for MS gratuitous C extensions etc) that I could
now use it.

-- 

Dr. Jon Thackray                [email-masked]       44 1223 872522 (voice)
Harlequin Ltd.                                          44 1223 873873 (fax)
Barrington Hall
Barrington
Cambridge CB2 5RG
England
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".